import energy_data_project
import geopandas as gpd

def test_find_neighbouring_countries():
    world = gpd.read_file("data/110m_cultural.zip",
                          layer="ne_110m_admin_0_countries")
    german_neighbours = energy_data_project.find_neighbouring_countries(
        world,
        "Germany")

    # mit pytest
    assert 1 == 1, "Correct"
    assert german_neighbours == ['France', 'Poland', 'Austria', 'Switzerland', 'Luxembourg', 'Belgium', 'Netherlands', 'Denmark', 'Czechia'], "Error german neighbours not found"

